Page MenuHomePhabricator

[Story] Create mockup for the article placeholder
Closed, ResolvedPublic

Description

Design for the generated article placeholder.

First ideas;

  • shouldn't look like an article (clearly marked as placeholder)
  • encouraging article creation (create new article from scratch or translate from other languages)
  • links to the other languages and projects (if possible add sitelinks where they are already now ("Languages"), but what to do with links to other projects?)
  • include images
  • how to format statements, including qualifiers and references (but not imported from as reference)
  • which statements to show?
  • display identifiers separated from the other statements

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
Resolvedhoo
ResolvedAddshore
Resolvedthiemowmde
DeclinedNone
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
OpenLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedJanZerebecki
ResolvedJanZerebecki
DeclinedNone
DuplicateLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedLucie
ResolvedLucie
Resolved Jonas
ResolvedAklapper
DeclinedDereckson
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLucie
ResolvedNone
ResolvedLucie
OpenNone
InvalidLucie
DeclinedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

Lucie created this task.Aug 18 2015, 3:39 PM
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: Lucie, Snaterlicious.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 3:39 PM
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.
Lydia_Pintscher set Security to None.

For clarification:
What information needs to be on the page except the data from Wikidata? / Is it that page that would basically be replaced: https://en.wikipedia.org/wiki/Page_that_does_not_exist? And there would be no redirection to full-text search anymore (https://en.wikipedia.org/w/index.php?search=Page+that+does+not+exist&title=Special%3ASearch&go=Go), provided a Wikidata item is found?

Is that heading into the right direction:

Just like in Wikibase, the right side could contain a column with links to other Wikimedia resources. Just below that, another box with links to "Other resources" or "External resources" using linked IDs could be placed.
Personally, I would refrain from using the description as its main purpose is to ease identification on Wikidata (the Wikibase instance) and, hence, may contain Wikidata specific content.

Lucie added a comment.Aug 25 2015, 3:59 PM

In search it would rather look like they have it in the Italian Wikipedia: https://it.wikipedia.org/w/index.php?title=Speciale%3ARicerca&profile=default&search=lydia+pintscher&fulltext=Search - so there is still a fulltext search beside searching items.

Even though I like your draft, I have some things I wanted to point out:
I'd put the language links where they are on the Wikipedia, so there are only the other projects links left. They might need less space.
Also, somehow in my eyes the images are right, but I don't really know why so I can live with images on the left, too :)

So as mentioned before, the placeholder is not going to be part of the search or included in it directly. (Due to the possibility of the search returning multiple items as results.) The placeholder is supposed to be an own page, created by the special page and therefore has it's own url, space etc.
Just to show you how I thought of it from the more technical point, that's what the page looks now (without any design, just as a test to get all the data from Wikibase repo):

The description may still make sense to differentiate items in the search and if we use it there we should use it on the page itself, too. But I see your point that it might be to Wikidata specific, too.

Snaterlicious added a comment.EditedAug 26 2015, 9:01 AM

OK, now I get the picture! Although I wonder about the placeholders' use case if the information is not available instantly but after visiting a separate page first. The placeholder is basically mirroring the Wikidata page where it would be a good chance to make users directly aware of and get in touch with Wikidata which would be just one click away either. Of course Wikidata's major problem in that context is the UI but I wonder why not rather put some power into that.

Anyway, just making another suggestion:

The major constraint is indeed the MediaWiki page structure. I guess we cannot really alter the heading. Consequently, the hint about the page being an article placeholder needs to be below the heading section.
Personally, as long as references are to be displayed, I would not opt for putting property name and value next to each other on the same line like it is done in Wikibase at the moment. But if you are, of course, just including one single value for a property, that would be an option as well. External ids are pretty straight forward I guess and do not have/need any reference. Emulating an info box like in your screen shot is reasonable.

I agree with Lucie that the image should probably be on the right side like it is in articles.

I think we should display the description of an item in a given language somewhere. This make the placeholder much more useful. If there're no description we can generate an automated one based on statements.

As per @Lydia_Pintscher's request:

Still, this involves only minimal design and is meant to focus on the plain structure.
Personally, I would not put the picture to the right as this page's content and intention differs from a regular article.
Automated description sounds good to me. A description would definitely make sense and there would be room enough to place it in the header. Just the native Wikidata one is problematic.
Since @Lydia_Pintscher has a specific vision of the article placeholder, I guess she will guide the way regarding design and actual contents of the placeholder.

Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 28 2015, 1:31 PM
Snaterlicious removed Snaterlicious as the assignee of this task.Oct 15 2015, 1:01 PM
Lucie added a comment.Nov 11 2015, 2:50 PM

So, this is the most recent mockup:

Lucie added a comment.Nov 11 2015, 2:51 PM
This comment was removed by Lucie.

I think we can close this now.

Lucie closed this task as Resolved.Nov 14 2015, 10:25 PM
Lucie claimed this task.
Lucie moved this task from To Do Next to Done on the ArticlePlaceholder board.Nov 15 2015, 8:16 PM